﻿@using Rokolabs.Library.WebApp.Models.ViewModels

@model BookVM

@{
    ViewBag.Title = "Book details";
}

<h2>Book details</h2>

<div>
    <h4>"@Html.DisplayFor(model => model.Name)"</h4>
    <hr />
    <dl class="dl-horizontal">

        <dt>
            @Html.DisplayNameFor(model => model.Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Name)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PublicationYear)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PublicationYear)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PublishingHouse)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PublishingHouse)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.NumberOfPages)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.NumberOfPages)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PublicationPlace)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PublicationPlace)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Notes)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Notes)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ISBN)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ISBN)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Authors)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.AuthorList)
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.EntryID }) |
    @Html.ActionLink("Back to List", "Index", "Catalog")   
</p>
